d.text.freetype(1)

NAME
d.text.freetype - Draws text in the graphics monitor's active display frame using TrueType fonts.

SYNOPSIS
d.text.freetype
d.text.freetype help
d.text.freetype [-brpnsc] [text=string] [east_north=east,north] [path=string] [charset=string] [color=string] [size=float] [align=string] [rotation=float] [linespacing=float]

  Flags:

-b  Use bold text

-r  Use radians instead of degrees for rotation

-p  Coordinates are in pixels ([0,0] is top left)

-n  Coordinates are percentage of frame ([0,0] is bottom left)

-s  Font size is height in pixels

-c  Command mode (Compatibility with d.text)

  Parameters:

text=string
    Text (enclose multiple words "in quotes")

east_north=east,north
    Map coordinates

path=string
    Path to TrueType font (including file name)

charset=string
    Character encoding (default: UTF-8)

color=string
    Text color, either a standard GRASS color or R:G:B triplet (separated by colons) Default: gray

size=float
    Height of letters (in percent of available frame height) Default: 5

align=string
    Text alignment Options: ll,lc,lr,cl,cc,cr,ul,uc,ur Default: ll

rotation=float
    Rotation angle in degrees (counterclockwise) Default: 0

linespacing=float
    Line spacing Default: 1.1

DESCRIPTION
d.text.freetype draws text in the graphics monitor's active display frame using TrueType fonts already installed on the user's system.

  Parameter Notes:

east_north=easting,northing
    Locates the text at these map coordinates. If this option is omitted, the user will be prompted to use the mouse to specify the location.

font=name
    Specifies a font listed in the GRASS 'freetypecap' definition file.

charset=name
    Sets character encoding for input text. (e.g. ISO-8859-1)

color=name
    Sets text color to name or R:G:B triplet. It can also be a hexadecimal value of 0xRRGGBB (deprecated).
    Options: red, orange, yellow, green, blue, indigo, violet, gray, white, and black
    Default: gray

size=value
    Sets text height in percent of available frame height.
    Default: 10

align=name
    Aligns text in this way.
    Options: ll, lc, lr, cl, cc, cr, ul, uc, ur
    l?: Lower, c?: Vertically Centered, u?: Upper,
    ?l: Left, ?c: Horizontally Centered, ?r: Right
    Default: ll (Lower Left)

  Command mode:
Key

{REQUIRED}

[OPTIONAL]

THIS|orTHAT

+, -
    Relative value

r, %, p
    Radian, Percentage, and Pixels respectively

Commands

.F {font|path}[:charset] font

.C {color_name|R:G:B} color (default: gray)

.S [+|-]size[p] size (default: 5)

.B {0|1} bold (default: 0)

.A {ll|lc|lr|cl|cc|cr|ul|uc|ur} align (default: ll)

.R [+|-]rotation[r] rotation (default: 0)

.I linespacing linespacing (default: 1.1)

.X [+|-]x[%|p] x-coord

.Y [+|-]y[%|p] y-coord

.L {0|1} linefeed (default: 1)

.E [+|-]east[%|p] x-origin

.N [+|-]north[%|p] y-origin

.. dot

To end input, press Ctrl-d on a blank line.

EXAMPLES
Standard mode: d.text.freetype text="GRASS GIS" east_north=2107055,5603133 \
size=7 path=/usr/X11R6/lib/X11/fonts/TTF/luximb.ttf

Command mode: The following example prints three lines: "GRASS d.text.freetype output", "See test.input file", and "for more details.".

d.text.freetype -c
    GRASS d.text.freetype output See test.input file for more details.

Command mode instructions may also be read directly from a text file:
d.text.freetype -c < test.input

DEFINITION FILE
To help users select fonts conveniently, the definition file, $(GISBASE)/etc/freetypecap, is provided. Its format is as follows:
    font:fontpath:charset:description
    *default_font:fontpath:charset:description
See the file for examples.

SEE ALSO
d.text
d.font.freetype
d.font
d.title
d.where

AUTHOR
Huidae Cho grass4u@gmail.com>

Updates by Hamish Bowman, NZ

Last changed: $Date: 2004/10/28 21:00:28 $

Help Index